describe('Conditions', () => {
  it(
    '"conditional_textarea" should be disabled and required when "conditional_helper_checkbox" is checked and ' +
      '"conditional_helper_textfield has a value of "req"',
    () => {
      cy.get('textarea[id="edit-conditional-textarea"]').should(
        'not.be.disabled',
      );
      cy.get('textarea[id="edit-conditional-textarea"]').should(
        'not.have.attr',
        'required',
      );
      cy.get('input[id=edit-conditional-helper-checkbox').check();
      cy.get('textarea[id="edit-conditional-textarea"]').should('be.disabled');
      cy.get('textarea[id="edit-conditional-textarea"]').should(
        'not.have.attr',
        'required',
      );
      cy.get('input[id="edit-conditional-helper-textfield"]').type('req');
      cy.get('textarea[id="edit-conditional-textarea"]').should(
        'have.attr',
        'required',
      );
      cy.get('textarea[id="edit-conditional-textarea"]').should('be.disabled');
      cy.get('input[id=edit-conditional-helper-checkbox').uncheck();
      cy.get('textarea[id="edit-conditional-textarea"]').should(
        'not.be.disabled',
      );
      cy.get('textarea[id="edit-conditional-textarea"]').should(
        'have.attr',
        'required',
      );
      cy.get('input[id="edit-conditional-helper-textfield"]').type('foo');
      cy.get('textarea[id="edit-conditional-textarea"]').should(
        'not.have.attr',
        'required',
      );
    },
  );

  it('text_field_with_a_default_value_inside_container" should disable when "custom_option_autocomplete-input" has value of "Corona"', () => {
    cy.get(
      'input[id="edit-text-field-with-a-default-value-inside-container"]',
    ).should('not.be.disabled');
    cy.get('input[id=edit-custom-option-autocomplete').type('Corona');
    cy.get(
      'input[id="edit-text-field-with-a-default-value-inside-container"]',
    ).should('be.disabled');
    cy.get('input[id=edit-custom-option-autocomplete').type('foo');
    cy.get(
      'input[id="edit-text-field-with-a-default-value-inside-container"]',
    ).should('not.be.disabled');
  });
  it('table_01_textfield_in_table_row_1 should hide when table_01_textarea_in_table_row_1 is filled', () => {
    cy.get('input[id="edit-table-01-textfield-in-table-row-1"]').should(
      'not.be.hidden',
    );
    cy.get('label[for="edit-table-01-textfield-in-table-row-1"]').should(
      'exist',
    );
    cy.get('textarea[id="edit-table-01-textarea-in-table-row-1"]').type(
      'anything',
    );
    cy.get('input[id="edit-table-01-textfield-in-table-row-1"]').should(
      'not.exist',
    );
    cy.get('label[for="edit-table-01-textfield-in-table-row-1"]').should(
      'not.exist',
    );
    cy.get('textarea[id="edit-table-01-textarea-in-table-row-1"]').clear();
    cy.get('input[id="edit-table-01-textfield-in-table-row-1"]').should(
      'not.be.hidden',
    );
    cy.get('label[for="edit-table-01-textfield-in-table-row-1"]').should(
      'exist',
    );
  });

  it('Multi value custom composite should disable when "conditional helper textfield" is filled', () => {
    cy.get(
      'input[id="edit-multi-value-custom-composite-items-0-textfield[0]"]',
    ).should('not.be.disabled');
    cy.get(
      'input[id="edit-multi-value-custom-composite-items-0-marriage-radio-single[0]"]',
    ).should('not.be.disabled');
    cy.get(
      'input[id="edit-multi-value-custom-composite-items-0-marriage-radio-married[0]"]',
    ).should('not.be.disabled');
    cy.get(
      'input[id="edit-multi-value-custom-composite-items-0-marriage-radio-divorced[0]"]',
    ).should('not.be.disabled');
    cy.get(
      'input[id="edit-multi-value-custom-composite-items-0-marriage-radio-widowed[0]"]',
    ).should('not.be.disabled');
    cy.get(
      'input[id="edit-multi-value-custom-composite-items-0-date[0]"]',
    ).should('not.be.disabled');
    cy.get('input[id=edit-conditional-helper-textfield').type('foo');
    cy.get(
      'input[id="edit-multi-value-custom-composite-items-0-textfield[0]"]',
    ).should('be.disabled');
    cy.get(
      'input[id="edit-multi-value-custom-composite-items-0-marriage-radio-single[0]"]',
    ).should('be.disabled');
    cy.get(
      'input[id="edit-multi-value-custom-composite-items-0-marriage-radio-married[0]"]',
    ).should('be.disabled');
    cy.get(
      'input[id="edit-multi-value-custom-composite-items-0-marriage-radio-divorced[0]"]',
    ).should('be.disabled');
    cy.get(
      'input[id="edit-multi-value-custom-composite-items-0-marriage-radio-widowed[0]"]',
    ).should('be.disabled');
    cy.get(
      'input[id="edit-multi-value-custom-composite-items-0-date[0]"]',
    ).should('be.disabled');
  });
});
